import { jsx } from "react/jsx-runtime";
import { NumberEightIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NumberEight = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "NumberEight", ...props, children: /* @__PURE__ */ jsx(NumberEightIcon, { weight: variant }) });
  }
);
NumberEight.displayName = "NumberEight";
Object.assign(NumberEight, { isGdsIcon: true });
export {
  NumberEight
};
